• Русский
  • IPAddress [ipam.cluster.x-k8s.io/v1alpha1]

    Description
    IPAddress is the Schema for the ipaddress API.
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    spec is the desired state of IPAddress.

    .spec

    Description
    spec is the desired state of IPAddress.
    Type
    object
    Required
    addressclaimRefpoolRefprefix
    PropertyTypeDescription
    addressstring

    address is the IP address.

    claimRefobject

    claimRef is a reference to the claim this IPAddress was created for.

    gatewaystring

    gateway is the network gateway of the network the address is from.

    poolRefobject

    poolRef is a reference to the pool that this IPAddress was created from.

    prefixinteger

    prefix is the prefix of the address.

    .spec.claimRef

    Description
    claimRef is a reference to the claim this IPAddress was created for.
    Type
    object
    PropertyTypeDescription
    namestring

    Name of the referent. This field is effectively required, but due to backwards compatibility is allowed to be empty. Instances of this type with an empty value here are almost certainly wrong. More info: https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names

    .spec.poolRef

    Description
    poolRef is a reference to the pool that this IPAddress was created from.
    Type
    object
    Required
    kindname
    PropertyTypeDescription
    apiGroupstring

    APIGroup is the group for the resource being referenced. If APIGroup is not specified, the specified Kind must be in the core API group. For any other third-party types, APIGroup is required.

    kindstring

    Kind is the type of resource being referenced

    namestring

    Name is the name of resource being referenced

    API Endpoints

    The following API endpoints are available:

    • /apis/ipam.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/ipaddresses
      • DELETE: delete collection of IPAddress
      • GET: list objects of kind IPAddress
      • POST: create a new IPAddress
    • /apis/ipam.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/ipaddresses/{name}
      • DELETE: delete the specified IPAddress
      • GET: read the specified IPAddress
      • PATCH: partially update the specified IPAddress
      • PUT: replace the specified IPAddress

    /apis/ipam.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/ipaddresses

    HTTP method
    DELETE
    Description
    delete collection of IPAddress
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind IPAddress
    HTTP responses
    HTTP codeResponse body
    200 - OKIPAddressList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new IPAddress
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyIPAddress schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKIPAddress schema
    201 - CreatedIPAddress schema
    202 - AcceptedIPAddress schema
    401 - UnauthorizedEmpty

    /apis/ipam.cluster.x-k8s.io/v1beta1/namespaces/{namespace}/ipaddresses/{name}

    HTTP method
    DELETE
    Description
    delete the specified IPAddress
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified IPAddress
    HTTP responses
    HTTP codeResponse body
    200 - OKIPAddress schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified IPAddress
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKIPAddress schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified IPAddress
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyIPAddress schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKIPAddress schema
    201 - CreatedIPAddress schema
    401 - UnauthorizedEmpty